%global gem_name prawn-table

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 2%{?dist}
Summary: Provides tables for PrawnPDF
Group: Development/Languages
License: Ruby or GPLv2 or GPLv3
URL: https://github.com/prawnpdf/prawn-table
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 1.9.3
BuildRequires: rubygem(prawn) >= 1.3.0
BuildRequires: rubygem(prawn) < 3.0.0
BuildRequires: rubygem(pdf-inspector) => 1.1.0
BuildRequires: rubygem(pdf-inspector) < 1.3
BuildRequires: rubygem(yard)
BuildRequires: rubygem(rspec) = 2.14.1
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(simplecov)
BuildRequires: rubygem(prawn-manual_builder) >= 0.2.0
BuildRequires: rubygem(pdf-reader) => 1.2
BuildRequires: rubygem(pdf-reader) < 2
BuildArch: noarch

%description
Prawn::Table provides tables for the Prawn PDF toolkit.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
sed -i '/^require "bundler"/d' ./spec/spec_helper.rb
sed -i '/^Bundler.setup/d' ./spec/spec_helper.rb
# Currently disabled
# rspec2 spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/GPLv2
%license %{gem_instdir}/GPLv3
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/manual
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/prawn-table.gemspec
%{gem_instdir}/spec

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 17 2016 Fabio Alessandro Locati <me@fale.io> - 0.2.2-1
- Initial package
